Bug 225195 - databases/mysql57-server: Update to 5.7.21 fixes multiple CVE
Summary: databases/mysql57-server: Update to 5.7.21 fixes multiple CVE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mahdi Mokhtari
URL: http://www.oracle.com/technetwork/sec...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-15 22:01 UTC by Markus Kohlmeyer
Modified: 2018-01-18 00:00 UTC (History)
0 users

See Also:
mmokhi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kohlmeyer 2018-01-15 22:01:57 UTC
Oracle has released MySQL 5.7.21
https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-21.html
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-01-16 12:35:57 UTC
Hi,
Thanks for bringing this up.
I was already working on update, the week was busy week and I was a little AFK
Will commit it ASAP.
Comment 2 Markus Kohlmeyer 2018-01-17 00:26:47 UTC
This Update also fixes multiple CVE
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html#AppendixMSQL
Comment 3 commit-hook freebsd_committer 2018-01-17 22:44:26 UTC
A commit references this bug:

Author: mmokhi
Date: Wed Jan 17 22:43:47 UTC 2018
New revision: 459295
URL: https://svnweb.freebsd.org/changeset/ports/459295

Log:
  databases/mysql56-{client, server}: Update to 5.7.21
  This update fixes bugs like CVE-2018-2696, CVE-2018-2562, CVE-2018-2640,
  CVE-2018-2668, CVE-2017-3737 (and more) in MySQL protocol by upstream.

  Delete local patches (CMake plugin macros) that are merged by upstream.

  PR:		225195
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/mysql57-client/files/patch-client_CMakeLists.txt
  head/databases/mysql57-client/files/patch-cmake_plugin.cmake
  head/databases/mysql57-client/files/patch-configure.cmake
  head/databases/mysql57-client/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  head/databases/mysql57-client/pkg-plist
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/distinfo
  head/databases/mysql57-server/files/patch-cmake_plugin.cmake
  head/databases/mysql57-server/files/patch-libmysql_CMakeLists.txt
Comment 4 commit-hook freebsd_committer 2018-01-17 23:58:31 UTC
A commit references this bug:

Author: mmokhi
Date: Wed Jan 17 23:57:32 UTC 2018
New revision: 459298
URL: https://svnweb.freebsd.org/changeset/ports/459298

Log:
  MFH: r459295

  databases/mysql56-{client, server}: Update to 5.7.21
  This update fixes bugs like CVE-2018-2696, CVE-2018-2562, CVE-2018-2640,
  CVE-2018-2668, CVE-2017-3737 (and more) in MySQL protocol by upstream.

  Delete local patches (CMake plugin macros) that are merged by upstream.

  PR:		225195
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/databases/mysql57-client/files/patch-client_CMakeLists.txt
  branches/2018Q1/databases/mysql57-client/files/patch-cmake_plugin.cmake
  branches/2018Q1/databases/mysql57-client/files/patch-configure.cmake
  branches/2018Q1/databases/mysql57-client/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  branches/2018Q1/databases/mysql57-client/pkg-plist
  branches/2018Q1/databases/mysql57-server/Makefile
  branches/2018Q1/databases/mysql57-server/distinfo
  branches/2018Q1/databases/mysql57-server/files/patch-cmake_plugin.cmake
  branches/2018Q1/databases/mysql57-server/files/patch-libmysql_CMakeLists.txt
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-01-18 00:00:06 UTC
Committed.
thanks :)